Name:		cherrytree
Version:	0.37.5
Release:	%mkrel 1
Summary:	Hierarchical note taking application
Group:		Office/Utilities
License:	GPLv3+
URL:		http://www.giuspen.com/cherrytree/
Source0:	http://www.giuspen.com/software/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	python-devel
Requires:	pygtk2.0
Requires:	python-chardet
Requires:	python-dbus
Requires:	python-gobject
Requires:	python-gtksourceview
Requires:	python-enchant
Requires:	p7zip

%description
CherryTree is a hierarchical note taking application, featuring rich text and
syntax highlighting, storing all the data (including images) in a single XML
file with .ctd extension.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install -O1 --root %{buildroot}

# don't include useless egg
rm -rf %{buildroot}%{python_sitelib}

# these are no longer in use
rm -rf %{buildroot}%{_datadir}/application-registry/
rm -rf %{buildroot}%{_datadir}/mime-info/

%find_lang %{name}

%files -f %{name}.lang
%doc changelog.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/*.1*
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Sat Oct 08 2016 wally <wally> 0.37.5-1.mga6
+ Revision: 1059508
- new version 0.37.5
- require python-chardet and python-dbus

* Sun May 01 2016 wally <wally> 0.36.9-1.mga6
+ Revision: 1008454
- new version 0.36.9

* Sat Jan 30 2016 wally <wally> 0.36.4-1.mga6
+ Revision: 929056
- new version 0.36.4

* Sun Nov 29 2015 wally <wally> 0.36.0-1.mga6
+ Revision: 906969
- new version 0.36.0

* Sun Nov 15 2015 wally <wally> 0.35.11-1.mga6
+ Revision: 903294
- new version 0.35.11

* Sun Jun 21 2015 wally <wally> 0.35.2-1.mga6
+ Revision: 837773
- new version 0.35.2

* Wed Oct 15 2014 umeabot <umeabot> 0.34.1-3.mga5
+ Revision: 746186
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.34.1-2.mga5
+ Revision: 678372
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 wally <wally> 0.34.1-1.mga5
+ Revision: 671014
- new version 0.34.1

* Wed Jun 18 2014 wally <wally> 0.33.4-1.mga5
+ Revision: 637990
- new version 0.33.4

* Fri May 02 2014 wally <wally> 0.33.0-1.mga5
+ Revision: 619387
- new version 0.33.0

* Fri Feb 07 2014 wally <wally> 0.32.0-2.mga5
+ Revision: 585439
- update license (to GPLv3+)

* Fri Feb 07 2014 wally <wally> 0.32.0-1.mga5
+ Revision: 585426
- new version 0.32.0

* Mon Oct 21 2013 umeabot <umeabot> 0.30.5-2.mga4
+ Revision: 538339
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 wally <wally> 0.30.5-1.mga4
+ Revision: 489291
- new version 0.30.5
- require python-enchant

* Sun May 26 2013 wally <wally> 0.29.4-1.mga4
+ Revision: 428191
- new version 0.29.4

* Fri Jan 11 2013 umeabot <umeabot> 0.28.5-2.mga3
+ Revision: 347672
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Office/Other -> Office/Utilities

* Wed Nov 28 2012 wally <wally> 0.28.5-1.mga3
+ Revision: 322677
- fix RPM group
- new version 0.28.5

* Sun Aug 12 2012 wally <wally> 0.26.3-2.mga3
+ Revision: 280943
- explicitly require python2

* Sun Aug 12 2012 wally <wally> 0.26.3-1.mga3
+ Revision: 280937
- new version 0.26.3
- clean .spec
- import cherrytree from fedora

